import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Point, Base, Type } from "igniteui-react-core/ES2015/type";
export declare abstract class Frame extends Base {
    abstract c(a: number, b: Frame, c: Frame): void;
    protected static a(a: List$1<Point>, b: number, c: List$1<Point>, d: List$1<Point>): void;
    protected static d(a: List$1<Point>, b: number, c: List$1<Point>, d: List$1<Point>, e: List$1<number>): void;
    protected static b(a: List$1<number>, b: number, c: List$1<number>, d: List$1<number>): void;
    protected static e(a: List$1<number>, b: number, c: List$1<number>, d: List$1<number>, e: List$1<number>): void;
    static $t: Type;
}
